
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class EjercicioIntegrador16 {
    
    public static void main(String[] args) {    
        int n = leerEnteroEntre("Ingresá un número natural", 1, Integer.MAX_VALUE);
        informarSiEsPrimo(n);
    } // Cierre de main
    
    static int leerEnteroEntre(String mensaje, int min, int max) {
        Scanner input = new Scanner(System.in);
        System.out.print(mensaje + ": ");
        int x = Integer.parseInt( input.nextLine() ); 
        while (x < min || x > max) {
            System.out.print("ERROR. " + mensaje + ": ");
            x = Integer.parseInt( input.nextLine() ); 
        }
        return x;
    }
    
    static void informarSiEsPrimo(int num) {
        if ( esPrimo(num) ) {
            System.out.println("El número " + num + " es primo");
        } else {
            System.out.println("El número " + num + " NO es primo");
        }
    }
    
    static boolean esMultiplo(int a, int b) {
        return obtenerResto(a, b) == 0;
    }
    
    static int obtenerResto(int num1, int num2) {
        return num1 - num2 * (num1 / num2);
    }
    
    static boolean esPrimo(int num) {
        int cont = 2;
        int mitad = num / 2;
        while(cont <= mitad && !esMultiplo(num, cont) ) {
            cont++;
        }        
        return cont > mitad;
    }

} // Cierre de clase
